
<?php
session_start();

// Panggil koneksi database.php untuk koneksi database
require_once "../../config/database.php";

// fungsi untuk pengecekan status login user 
// jika user belum login, alihkan ke halaman login dan tampilkan pesan = 1
if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}
// jika user sudah login, maka jalankan perintah untuk insert, update, dan delete
else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['simpan'])) {
            // ambil data hasil submit dari form
            $nama  = mysqli_real_escape_string($mysqli, trim($_POST['nama']));
            $sektor     = mysqli_real_escape_string($mysqli, trim($_POST['sektor']));
			
			$kolsektor		= mysqli_real_escape_string($mysqli, trim($_POST['kolsektor']));
			$kaskolsektor	= mysqli_real_escape_string($mysqli, trim($_POST['kaskolsektor']));
			$kolrunggun		= mysqli_real_escape_string($mysqli, trim($_POST['kolrunggun']));
			$kaskolrunggun	= mysqli_real_escape_string($mysqli, trim($_POST['kaskolrunggun']));
			$kolsinode		= mysqli_real_escape_string($mysqli, trim($_POST['kolsinode']));
			$kaskolsinode	= mysqli_real_escape_string($mysqli, trim($_POST['kaskolsinode']));
			
			$psektor		= mysqli_real_escape_string($mysqli, trim($_POST['psektor']));
			$kaspersektor	= mysqli_real_escape_string($mysqli, trim($_POST['kaspersektor']));
			$prunggun		= mysqli_real_escape_string($mysqli, trim($_POST['prunggun']));
			$kasperrunggun	= mysqli_real_escape_string($mysqli, trim($_POST['kasperrunggun']));
			$psinode		= mysqli_real_escape_string($mysqli, trim($_POST['psinode']));
			$kaspersinode	= mysqli_real_escape_string($mysqli, trim($_POST['kaspersinode']));

            $created_user = $_SESSION['id_user'];

            // perintah query untuk menyimpan data ke tabel obat
            $query = mysqli_query($mysqli, "INSERT INTO is_lokasi(nama,sektor,created_user,updated_user,kolsektor,kaskolsektor,kolrunggun,kaskolrunggun,kolsinode,kaskolsinode,psektor,kaspersektor,prunggun,kasperrunggun,psinode,kaspersinode) 
                                            VALUES('$nama','$sektor','$created_user','$created_user','$kolsektor','$kaskolsektor','$kolrunggun','$kaskolrunggun','$kolsinode','$kaskolsinode','$psektor','$kaspersektor','$prunggun','$kasperrunggun','$psinode','$kaspersinode')")
                                            or die('Ada kesalahan pada query insert : '.mysqli_error($mysqli));    

            // cek query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil simpan data
                header("location: ../../main.php?module=lokasi&alert=1");
            }   
        }   
    }
    
    elseif ($_GET['act']=='update') {
        if (isset($_POST['simpan'])) {
            if (isset($_POST['id'])) {
                // ambil data hasil submit dari form
                $id  = mysqli_real_escape_string($mysqli, trim($_POST['id']));
                $nama  = mysqli_real_escape_string($mysqli, trim($_POST['nama']));
                $sektor     = mysqli_real_escape_string($mysqli, trim($_POST['sektor']));
				
				$kolsektor		= mysqli_real_escape_string($mysqli, trim($_POST['kolsektor']));
				$kaskolsektor	= mysqli_real_escape_string($mysqli, trim($_POST['kaskolsektor']));
				$kolrunggun		= mysqli_real_escape_string($mysqli, trim($_POST['kolrunggun']));
				$kaskolrunggun	= mysqli_real_escape_string($mysqli, trim($_POST['kaskolrunggun']));
				$kolsinode		= mysqli_real_escape_string($mysqli, trim($_POST['kolsinode']));
				$kaskolsinode	= mysqli_real_escape_string($mysqli, trim($_POST['kaskolsinode']));
				
				$psektor		= mysqli_real_escape_string($mysqli, trim($_POST['psektor']));
				$kaspersektor	= mysqli_real_escape_string($mysqli, trim($_POST['kaspersektor']));
				$prunggun		= mysqli_real_escape_string($mysqli, trim($_POST['prunggun']));
				$kasperrunggun	= mysqli_real_escape_string($mysqli, trim($_POST['kasperrunggun']));
				$psinode		= mysqli_real_escape_string($mysqli, trim($_POST['psinode']));
				$kaspersinode	= mysqli_real_escape_string($mysqli, trim($_POST['kaspersinode']));
				

                $updated_user = $_SESSION['id_user'];

                // perintah query untuk mengubah data pada tabel obat
                $query = mysqli_query($mysqli, "UPDATE is_lokasi SET  nama       = '$nama',
                                                                    sektor     = '$sektor',
																	kolsektor 	= '$kolsektor',
																	kaskolsektor 	= '$kaskolsektor',
																	kolrunggun 	= '$kolrunggun',
																	kaskolrunggun 	= '$kaskolrunggun',
																	kolsinode 	= '$kolsinode',
																	kaskolsinode 	= '$kaskolsinode',
																	psektor 	= '$psektor',
																	kaspersektor 	= '$kaspersektor',
																	prunggun 	= '$prunggun',
																	kasperrunggun 	= '$kasperrunggun',
																	psinode 	= '$psinode',
																	kaspersinode 	= '$kaspersinode',
																	
                                                                    updated_user    = '$updated_user'
                                                              WHERE id       = '$id'")
                                                or die('Ada kesalahan pada query update : '.mysqli_error($mysqli));

                // cek query
                if ($query) {
                    // jika berhasil tampilkan pesan berhasil update data
                    header("location: ../../main.php?module=lokasi&alert=2");
                }         
            }
        }
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
    
            // perintah query untuk menghapus data pada tabel obat
            $query = mysqli_query($mysqli, "update is_lokasi set status = 'N'  WHERE id='$id'")
                                            or die('Ada kesalahan pada query delete : '.mysqli_error($mysqli));

            // cek hasil query
            if ($query) {
                // jika berhasil tampilkan pesan berhasil delete data
                header("location: ../../main.php?module=lokasi&alert=3");
            }
        }
    }       
}       
?>